Bug 205136 - Review Request: gg2 - GNU Gadu 2 - free talking
Review Request: gg2 - GNU Gadu 2 - free talking
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 205127 206576
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-04 11:45 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 16:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-09-04 11:45:41 EDT
Spec URL: http://rpm.greysector.net/extras/gg2.spec
SRPM URL: http://rpm.greysector.net/extras/gg2-2.2.9-3.src.rpm
Description:
Gadu-Gadu, Tlen.pl and others instant messanger client with GTK+2 GUI.
Comment 1 Mamoru TASAKA 2006-09-08 07:23:39 EDT
I cannot rebuild this in mock:

checking for X11/extensions/scrnsaver.h... yes
checking for GTK... yes
checking for DBUS... no
configure: error: DBUS_PKG_ERRORS
error: Bad exit status from /var/tmp/rpm-tmp.38783 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.38783 (%build)

config.log says:

configure:34077: checking for DBUS
configure:34085: $PKG_CONFIG --exists --print-errors "dbus-1 dbus-glib-1"
Package dbus-glib-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-glib-1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'dbus-glib-1' found
configure:34088: $? = 1
configure:34103: $PKG_CONFIG --exists --print-errors "dbus-1 dbus-glib-1"
Package dbus-glib-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-glib-1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'dbus-glib-1' found
configure:34106: $? = 1
No package 'dbus-glib-1' found
configure:34134: result: no
configure:34147: error: DBUS_PKG_ERRORS
Comment 2 Michał Bentkowski 2006-09-14 16:37:52 EDT
I'll review it, but as mentioned above, there is problem with mock build:
dbus_plugin.c: In function 'ofi_getProtocols':
dbus_plugin.c:143: warning: ISO C90 forbids mixed declarations and code
dbus_plugin.c: In function 'start_plugin':
dbus_plugin.c:301: warning: cast from pointer to integer of different size
/bin/sh ../../../libtool --silent --tag=CC --mode=link gcc  -O2 -g -pipe -Wall -
Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 
-m64 -mtune=generic -pthread -Wall -Wno-uninitialized -Wchar-subscripts -
Wnested-externs -Wpointer-arith -Wno-sign-compare -I/usr/include/glib-2.0 -I/
usr/lib64/glib-2.0/include    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -
fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -
pthread -Wall -Wno-uninitialized -Wchar-subscripts -Wnested-externs -Wpointer-
arith -Wno-sign-compare -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/
include     -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -Wdeclaration-
after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 
-I/usr/include/gdbm  -I/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE  -
I/builddir/build/BUILD/gg2-2.2.9/lib  -lglib-2.0   -pthread -lgthread-2.0 -
lglib-2.0   -o libdbus_plugin.la -rpath /usr/lib64/gg2 -avoid-version   
libdbus_plugin_la-dbus_plugin.lo -ldbus-glib-1 -ldbus-1 -lglib-2.0   ../../../
lib/libgg2_core.la -pthread
/usr/bin/ld: cannot find -ldbus-glib-1
collect2: ld returned 1 exit status
gmake[4]: *** [libdbus_plugin.la] Error 1
gmake[4]: Leaving directory `/builddir/build/BUILD/gg2-2.2.9/src/plugins/dbus'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/builddir/build/BUILD/gg2-2.2.9/src/plugins'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/builddir/build/BUILD/gg2-2.2.9/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/builddir/build/BUILD/gg2-2.2.9'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.5727 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.5727 (%build)
Comment 3 Dominik 'Rathann' Mierzejewski 2006-09-14 17:05:22 EDT
This is due to missing BuildRequires: dbus-glib. I'll post an updated spec tomorrow.
Comment 4 Mamoru TASAKA 2006-09-14 23:43:08 EDT
Well, autually:

A. my mock failure was due to dbus-glib-devel missing. This is on
   FC6-devel.

B. The mock failure by Michał is on FC5, perhaps? This is because
   /usr/lib/libdbus-glib-1.so points to nothing.
   I reported this to dbus maintainer.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=206576
Comment 5 Mamoru TASAKA 2006-09-14 23:45:25 EDT
Forgot to comment one more:

On FC5, dbus-glib(-devel) does not exist ,included in dbus(-devel).
Comment 6 Mamoru TASAKA 2006-09-14 23:49:57 EDT
Oh, sorry. My misunderstanding..

A. my mock failure was due to dbus-glib-devel missing. this is correct on
   FC6-devel.
B. On FC5, dbus-glib surely exists, however, dbus-devel does not require
   dbus-glib so the symlink is broken.
Comment 7 Dominik 'Rathann' Mierzejewski 2006-09-15 09:24:15 EDT
http://rpm.greysector.net/extras/gg2.spec

Updated spec builds cleanly in fc5 and fc6 mock.
Comment 8 Michał Bentkowski 2006-09-15 12:44:56 EDT
MUST items:
 * rpmlint output:
W: gg2 mixed-use-of-spaces-and-tabs
W: gg2 doc-file-dependency /usr/share/doc/gg2-2.2.9/gg2sms /usr/bin/perl
W: gg2 doc-file-dependency /usr/share/doc/gg2-2.2.9/mkgg2snap /bin/sh
W: gg2 doc-file-dependency /usr/share/doc/gg2-2.2.9/plugin_example/build.sh /
bin/sh
W: gg2-arts no-documentation
W: gg2-devel no-documentation
W: gg2-dockapp no-documentation
W: gg2-esound no-documentation
W: gg2-gadu-gadu no-documentation
W: gg2-jabber no-documentation
W: gg2-systray no-documentation
W: gg2-tlen no-documentation
W: gg2-xosd no-documentation
 * package is named well
 * spec file is named well
 * package meets Packaging Guidelines
 * package is licensed with an GPL open-source compatible license
 * License field matches actual license
 * license is included in %doc
 * spec is legible
 * md5sums are matching (e12c2153993dbbf66f8cefa3c628e7cd)
 * package succesfully compiles on x86_64
 * BRs are listed properly
 * spec handles locales properly
 * proper %post and %postun sections
 * not relocatable
 * package owns its directories
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * no need to doc subpackage
 * .pc files and headers are in -devel
 * .la file in -devel

THINGS to do:
 * cosmetics: fix warning with mixed-spaces-and-tabs in spec
 * remove unnecessary dependiences (caused by %doc files) by 
adding following lines to %prep:
chmod -x contrib/gg2sms
chmod -x contrib/mkgg2snap
chmod -x contrib/plugin_example/build.sh
 * you probably should remove libgg2_core.la from -devel subpackage

Fix things mentioned above, and I'll approve this package.
Comment 9 Mamoru TASAKA 2006-09-15 13:22:34 EDT
Well,

* redundant BuildRequires:
  aspell-devel   <- required by gtkspell-devel
  esound-devel   <- required by arts-devel
  glib2-devel    <- required by gtk2-devel
  gnutls-devel   <- required by loudmouth-devel
  gtk2-devel     <- required by gtkspell-developenssl-devel
  openssl-devel  <- required by libgadu-devel
  perl (included in minimal buildroot)
  pkgconfig      <- required by glib2-devel (and others)
Comment 10 Mamoru TASAKA 2006-09-15 13:23:40 EDT
The line gtk2-devel was:
gtk2-devel     <- required by gtkspel
Comment 11 Mamoru TASAKA 2006-09-15 13:32:48 EDT
Another issue.
I doubt that the content of /usr/lib/pkgconfig/gg2_core.pc is proper.

------------------------------------------------------------
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: libgg2_core
Version: 2.2.9
Description: GNU Gadu 2 development
Requires: glib-2.0
Libs: -L${libdir} -lgg2_core  -L/lib -lglib-2.0   -pthread -L/lib -lgthread-2.0
-lglib-2.0  
Cflags: -I${includedir} -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32
 -march=i386 -mtune=generic -fasynchronous-unwind-tables -pthread -Wall
-Wno-uninitialized -Wchar-subscripts -Wnested-externs -W
pointer-arith -Wno-sign-compare -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=
2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables -pthread
 -Wall -Wno-uninitialized -Wchar-subscripts -Wnested-externs -Wpointer-arith
-Wno-sign-compare -I/usr/include/glib-2.0 -I/usr/li
b/glib-2.0/include     -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe
-Wdeclaration-after-statement -I/usr/local/include 
-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm 
-I/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE 
-------------------------------------------------------------
* CFLAGS should be removed.
* I cannot understand why Cflags includes '-I/usr/include/gdbm'
  (gdbm-devel is not installed by BuildRequires)
Comment 12 Dominik 'Rathann' Mierzejewski 2006-09-15 19:36:03 EDT
http://rpm.greysector.net/extras/gg2.spec

- removed redundant build deps
- removed .la dropping from -devel
- made scripts in %%doc non-executable

I don't know what to do about that .pc file. It's autogenerated.
Comment 13 Mamoru TASAKA 2006-09-15 20:00:20 EDT
(In reply to comment #12)
> I don't know what to do about that .pc file. It's autogenerated.

Fix lib/gg2_core.pc.in. It is apparently incorrect.
Perhaps you also have to fix configure.in.
Comment 14 Mamoru TASAKA 2006-09-15 20:48:37 EDT
(In reply to comment #12)
> http://rpm.greysector.net/extras/gg2.spec
> 
> - removed redundant build deps

Please readd dbus-glib-devel dependency for FC6-devel.

%if %{fedora} > 5
BuildRequires: dbus-glib-devel
%else
BuildRequires: dbus-glib
%endif

I cannot build this package again on FC6-devel.

checking for IceConnectionNumber in -lICE... (cached) no
checking X11/extensions/scrnsaver.h usability... yes
checking X11/extensions/scrnsaver.h presence... yes
checking for X11/extensions/scrnsaver.h... yes
checking for GTK... yes
checking for DBUS... no
configure: error: DBUS_PKG_ERRORS
error: Bad exit status from /var/tmp/rpm-tmp.20250 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.20250 (%build)
Error building package from gg2-2.2.9-5.fc6.src.rpm, See build log
Comment 15 Dominik 'Rathann' Mierzejewski 2006-09-15 22:37:13 EDT
http://rpm.greysector.net/extras/gg2.spec
http://rpm.greysector.net/extras/gg2-2.2.9-6.src.rpm

- fix build on devel
- patch .pc file not to include RPM_OPT_CFLAGS

I've tested my fix of the .pc file. A sample plugin compiles fine.
Comment 16 Mamoru TASAKA 2006-09-16 00:07:21 EDT
Well, .pc file is now correct.
Then does -devel package really require perl?
Comment 17 Mamoru TASAKA 2006-09-16 00:17:50 EDT
Note: 
even if -devel package doesn't require perl,
perl is anyway installed because main package requires perl.
Comment 18 Michał Bentkowski 2006-09-17 14:55:27 EDT
I think perl dependency should be removed.
Comment 19 Dominik 'Rathann' Mierzejewski 2006-09-17 15:14:59 EDT
http://rpm.greysector.net/extras/gg2.spec

And so it is.
Comment 20 Michał Bentkowski 2006-09-17 15:40:47 EDT
Okay, approved.
Comment 21 Dominik 'Rathann' Mierzejewski 2006-09-17 16:35:36 EDT
Thanks! Imported and built for devel, FC-5 branch requested.

Note You need to log in before you can comment on or make changes to this bug.